Supported Viewers

From Second Life Wiki
Jump to: navigation, search


Viewer Support Policy


As described in the March 2009 blog post, our policy is to support the two newest Second Life Viewer versions, and the last released Second Life Beta Viewer. For example: Second Life Viewer versions 3.2.8 and 3.2.6, and the latest Second Life Beta Viewer (v3.3.1).


Deprecation Policy

Because Linden Lab supports only the current version and one version back, sixty (60) days after the release of a new official Viewer, older Second Life Viewer versions are likely to be deprecated. At that time, Residents attempting to log in using a deprecated version will be required to update to the newest Second Life Viewer. Should you wish to use a supported Viewer other than the newest one, download links have been provided below.

KBnote.png Note: Exceptions to the above policy may occur when important crash and/or bug fixes in the latest Second Life Viewer necessitate making the newest Second Life Viewer version a mandatory update from the last release. For example, to greatly improve crash rates, SL Viewer version 2.1.0 was deprecated shortly after the release of SL Viewer version 2.1.1, which included several important crash fixes.
Green bk.jpg
CheckMark.png

Supported Viewers

 


KBtip2.png Tip: You can always easily see what Viewer version you're using.


Mandatory Updates

Mandatory Second Life Release upgrades may be necessary to to correct an urgent security issue or policy change. Under such circumstances, all Residents are required to update their official Second Life Viewer to the newest supported version. Off-cycle Mandatory updates are employed only when absolutely necessary.

KBwarning.png Warning: Please note that all Second Life Release Candidate, Beta, and Project Viewer updates are mandatory.